If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent test_restyles.html | Assertion count 1 is greater than expected range 0-0 assertions.

RESOLVED FIXED in Firefox 54

Status

()

Core
DOM: Animation
P3
normal
RESOLVED FIXED
8 months ago
4 months ago

People

(Reporter: hiro, Assigned: gbrown)

Tracking

(Depends on: 1 bug, {intermittent-failure})

45 Branch
mozilla55
ARM
Android
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1244897 +++

https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=70340410

On Android, we have been still seeing failure. I guess it's related to bug 1326306.
(Assignee)

Comment 1

8 months ago
1-26 10:33:40.404   791   809 I GeckoDump: ⰲ겿{"action":"test_status","time":1485455620404,"thread":null,"pid":null,"source":"mochitest","test":"chrome://mochitests/content/chrome/dom/animation/test/chrome/test_restyles.html","subtest":"The opacity animation overridden by an !important rule is NOT running on the compositor","status":"PASS","js_source":"TestRunner.js"}ⰲ겿
01-26 10:33:40.724   791   809 I Gecko   : [791] ###!!! ASSERTION: Potential deadlock detected:
01-26 10:33:40.724   791   809 I Gecko   : Cyclical dependency starts at
01-26 10:33:40.724   791   809 I Gecko   : Mutex : ObservedDocShellMutex
01-26 10:33:40.724   791   809 I Gecko   : Next dependency:
01-26 10:33:40.724   791   809 I Gecko   : Mutex : StaticMutex (currently acquired)
01-26 10:33:40.724   791   809 I Gecko   : Cycle completed at
01-26 10:33:40.724   791   809 I Gecko   : Mutex : ObservedDocShellMutex
01-26 10:33:40.724   791   809 I Gecko   : Deadlock may happen for some other execution
01-26 10:33:40.724   791   809 I Gecko   : 
01-26 10:33:40.724   791   809 I Gecko   : : 'Error', file /home/worker/workspace/build/src/xpcom/threads/BlockingResourceBase.cpp, line 307
01-26 10:33:40.734   791   809 I GeckoDump: ⰲ겿{"action":"test_status","time":1485455620736,"thread":null,"pid":null,"source":"mochitest","test":"chrome://mochitests/content/chrome/dom/animation/test/chrome/test_restyles.html","subtest":"Opacity animation on orphaned element should not cause restyles","status":"PASS","js_source":"TestRunner.js"}ⰲ겿

Comment 2

8 months ago
7 failures in 749 pushes (0.009 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-01-23&endday=2017-01-29&tree=all

Comment 3

8 months ago
10 failures in 733 pushes (0.014 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-01-30&endday=2017-02-05&tree=all

Comment 4

8 months ago
8 failures in 836 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* autoland: 5
* mozilla-inbound: 1
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* android-4-3-armv7-api15: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-02-06&endday=2017-02-12&tree=all

Comment 5

7 months ago
5 failures in 790 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-central: 2

Platform breakdown:
* android-4-3-armv7-api15: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-03-06&endday=2017-03-12&tree=all

Comment 6

6 months ago
8 failures in 777 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* oak: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux32: 4
* android-4-3-armv7-api15: 3
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-03-13&endday=2017-03-19&tree=all

Comment 7

6 months ago
10 failures in 898 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 4
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 6
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-03-20&endday=2017-03-26&tree=all

Comment 8

6 months ago
9 failures in 845 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3
* oak: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux32: 6
* linux64: 2
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-03-27&endday=2017-04-02&tree=all

Comment 9

5 months ago
9 failures in 817 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* graphics: 2
* try: 1
* mozilla-inbound: 1
* mozilla-beta: 1

Platform breakdown:
* linux32: 6
* android-4-3-armv7-api15: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-04-17&endday=2017-04-23&tree=all

Comment 10

5 months ago
5 failures in 770 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* oak: 1
* mozilla-inbound: 1

Platform breakdown:
* linux64: 2
* android-4-3-armv7-api15: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-05-01&endday=2017-05-07&tree=all

Comment 11

4 months ago
5 failures in 879 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-05-08&endday=2017-05-14&tree=all

Comment 12

4 months ago
5 failures in 777 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 4
* mozilla-inbound: 1

Platform breakdown:
* linux32: 3
* linux64: 1
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-05-15&endday=2017-05-21&tree=all

Comment 13

4 months ago
70 failures in 891 pushes (0.079 failures/push) were associated with this bug in the last 7 days. 

This is the #17 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* try: 24
* mozilla-inbound: 23
* autoland: 13
* mozilla-central: 9
* cedar: 1

Platform breakdown:
* linux64: 38
* windows8-64: 14
* linux32: 14
* android-4-3-armv7-api15: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-05-22&endday=2017-05-28&tree=all
(Assignee)

Comment 14

4 months ago
Created attachment 8872432 [details] [diff] [review]
allow assertion during test

:hiro - Since you've already tried to fix this once and no one seems to have time to follow up, let's just allow the assertion.
Assignee: nobody → gbrown
Attachment #8872432 - Flags: review?(hikezoe)
Attachment #8872432 - Flags: review?(hikezoe) → review+

Comment 15

4 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8c149fcc5296
Allow assertion in test_restyles.html; r=hiro
Whiteboard: [stockwell needswork]
Whiteboard: [stockwell needswork] → [stockwell fixed]

Comment 16

4 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/8c149fcc5296
Status: NEW → RESOLVED
Last Resolved: 4 months ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55

Comment 17

4 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/3772e7cf04c7
status-firefox54: --- → fixed
(Assignee)

Updated

4 months ago
See Also: → bug 1368923

Comment 18

4 months ago
14 failures in 820 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* mozilla-inbound: 4
* try: 2
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* windows8-64: 7
* linux64: 6
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1332970&startday=2017-05-29&endday=2017-06-04&tree=all
You need to log in before you can comment on or make changes to this bug.